

package gov.va.med.cds.persistence;


public class QueryAssociationMetaData
    implements
        QueryAssociationInterface
{
    private String filterModelName;
    private String associationName;
    private String associationParent;
    private String key;
    private String parentKey;
    private boolean collapsable = false;


    public String getAssociationName( )
    {
        return associationName;
    }


    public void setAssociationName( String associationName )
    {
        this.associationName = associationName;
    }


    public String getParentKey( )
    {
        return parentKey;
    }


    public void setParentKey( String parentKey )
    {
        this.parentKey = parentKey;
    }


    public String getKey( )
    {
        return key;
    }


    public void setKey( String key )
    {
        this.key = key;
    }


    public String getFilterModelName( )
    {
        return filterModelName;
    }


    public void setFilterModelName( String filterModelName )
    {
        this.filterModelName = filterModelName;
    }


    public String getAssociationParent( )
    {
        return associationParent;
    }


    public void setAssociationParent( String associationParent )
    {
        this.associationParent = associationParent;
    }
    
    
    public boolean isCollapsable( )
    {
        return collapsable;
    }
    
    
    public void setCollapsable( boolean collapsable )
    {
        this.collapsable = collapsable;
    }
}
